Subject: Re: bug#65831: 29.1; Mouse click on xref buffer doesn't go to reference

From: Dmitry Gutov <[email-masked]>
Date: Tue, 12 Sep 2023 01:40:58 +0300

Hi Evan,

On 08/09/2023 22:21, Evan Moses wrote:
> This appears to be because [mouse-1] and [mouse-2] are bound to
> xref-goto-ref, which calls (xref--item-at-point) to find the current
> item; however, at least in my (fairly complex) environment, the point
> isn't first moved to where the mouse was clicked and xref can't find any
> item at the point where it was previously.

That sounds like a problem, but could you try to find out first what 
makes your environment different? Perhaps it's better to have fixed 
there, or perhaps it's using some existing Emacs feature that we could 
fix ourselves too.

As it is, though, [mouse-1] seems to function okay in the scenario you 
described (non-selected window) when I try it with 'emacs -Q' or my own 
config.